Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.store
Class ByteArrayDataOutput

    java.lang.Object
      org.apache.lucene.store.DataOutput
          org.apache.lucene.store.ByteArrayDataOutput

    public class ByteArrayDataOutput

extends DataOutput

DataOutput backed by a byte array. WARNING: This class omits most low-level checks, so be sure to test heavily with assertions enabled.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`ByteArrayDataOutput()`
`ByteArrayDataOutput(byte[] bytes)`
`ByteArrayDataOutput(byte[] bytes, int offset, int len)`

Method Summary
`int` | `getPosition()`
`void` | `reset(byte[] bytes)`
`void` | `reset(byte[] bytes, int offset, int len)`
`void` | `writeByte(byte b)` Writes a single byte.
`void` | `writeBytes(byte[] b, int offset, int length)` Writes an array of bytes.

Methods inherited from class org.apache.lucene.store.DataOutput
`copyBytes, writeBytes, writeChars, writeChars, writeInt, writeLong, writeShort, writeString, writeStringStringMap, writeVInt, writeVLong`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ByteArrayDataOutput

    public ByteArrayDataOutput(byte[] bytes)

### ByteArrayDataOutput

    public ByteArrayDataOutput(byte[] bytes,
                               int offset,
                               int len)

### ByteArrayDataOutput

    public ByteArrayDataOutput()

Method Detail

### reset

    public void reset(byte[] bytes)

### reset

    public void reset(byte[] bytes,
                      int offset,
                      int len)

### getPosition

    public int getPosition()

### writeByte

    public void writeByte(byte b)

  Description copied from class: `DataOutput`
  Writes a single byte.

  Specified by:
    `writeByte` in class `DataOutput`
  See Also:
    `DataInput.readByte()`

### writeBytes

    public void writeBytes(byte[] b,
                           int offset,
                           int length)

  Description copied from class: `DataOutput`
  Writes an array of bytes.

  Specified by:
    `writeBytes` in class `DataOutput`
  Parameters:
    `b` - the bytes to write
    `offset` - the offset in the byte array
    `length` - the number of bytes to write
  See Also:
    `DataInput.readBytes(byte[],int,int)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD